• Problem with archlinux.db and databases.


    Hi guys.
    I’ve just recently installed AntergOS, but I have a problem with pacman. When I’m doing pacman -Syyu he tells me that archlinux.db can’t be find for archlinux only. Core extra… are working but not archlinux. And when I’m trying to install a package he tells me that there is no database. Someone have a solution pls ? I’ve just searched long time on internet but still didn’t found the solution…
    Thanks.

  • @antomaa12 A terminal is worth a thousand words.

    Could you please paste back here the full terminal’s output of the command you enter, along with the command itself?

    sudo pacman -Syyu
    
  • :: Synchronising package databases…
    antergos-staging 2.4 KiB 0.00B/s 00:00 [######################] 100%
    antergos 127.4 KiB 1036K/s 00:00 [######################] 100%
    core 122.5 KiB 156K/s 00:01 [######################] 100%
    extra 1741.2 KiB 1064K/s 00:02 [######################] 100%
    community-testing 15.2 KiB 2.12M/s 00:00 [######################] 100%
    community 3.7 MiB 1085K/s 00:04 [######################] 100%
    error: failed retrieving file ‘archlinux.db’ from repo.archlinux.fr : The requested URL returned error: 404
    error: failed to update archlinux (unexpected error)
    multilib 181.8 KiB 1399K/s 00:00 [######################] 100%
    :: Starting full system upgrade…
    error: failed to prepare transaction (could not find database)

    And here is the part from /etc/pacman.conf concerning archlinux
    [archlinux]
    SigLever = Never
    Server = repo.archlinux.fr/$arch

  • Try this in /etc/pacman.conf:

    [archlinuxfr]
    Server = http://repo.archlinux.fr/$arch
    
  • It was this thanks really.

  • Ok apparently it’s still not working when i try to install a package like spotify or skype (package that i know it exist). He tells me
    [[email protected] /]$ sudo pacman -S skype
    error: target not found: skype
    but pacman -Syyyu is working perfectly

  • Hi,

    Skype is not in that repository (check here: http://repo.archlinux.fr/x86_64/)

    It’s in AUR, though (check here: https://aur.archlinux.org/packages/skype/)

    To install packages from the AUR, you must use yaourt, pacman won’t work, but it works the same way, so to install skype:

    yaourt -S skype

    Cheers!

  • Owh okay it’s working perfectly sorry again :)

  • No problem. I’m glad I could help.

    Cheers!

archlinux2 problem7 database6 pacman65 Posts 9Views 441
Log in to reply